<?php

class InbankValidate
{
    public static function isMd5($md5)
    {
        return preg_match('/^[a-f0-9A-F]{32}$/', $md5);
    }

    public static function isFloat($float)
    {
        return (string) ((float) $float) == (string) $float;
    }

    public static function isUnsignedFloat($float)
    {
        return (string) ((float) $float) == (string) $float && $float >= 0;
    }

    public static function isBool($bool)
    {
        return $bool === null || is_bool($bool) || preg_match('/^(0|1)$/', $bool);
    }

    public static function isInt($value)
    {
        return (string) (int) $value === (string) $value || $value === false;
    }

    public static function isString($data)
    {
        return is_string($data);
    }

    public static function isArray($data)
    {
        return is_array($data);
    }
}
