<?php


class InbankLocalization
{
    public static function getString($id_string)
    {
        $strings = [
            1 => __('Field %s value is not correct.', 'woocommerce-inbank'),
            2 => __('Field %s value is empty.', 'woocommerce-inbank'),
            3 => __('New payment method was successfully added!', 'woocommerce-inbank'),
            4 => __('Payment method was successfully updated!', 'woocommerce-inbank'),
            5 => __('Error while trying to save payment method!', 'woocommerce-inbank'),
            6 => __('The product code was not found in Inbank API.', 'woocommerce-inbank'),
            7 => __('Product code is missing.', 'woocommerce-inbank'),
            8 => __('Error trying to get info from Inbank API:', 'woocommerce-inbank'),
            9 => __('Your chosen products type doesn\'t match supplied product code type. Please choose the correct product for this product code.', 'woocommerce-inbank'),
            10 => __('Your selected Product subtype doesn\'t match the supplied product code.', 'woocommerce-inbank'),
            11 => __('There was some errors trying to get info from Inbank API:', 'woocommerce-inbank'),
            12 => __('Payment method was successfully deleted.', 'woocommerce-inbank'),
            13 => __('Failed to delete payment method.', 'woocommerce-inbank'),
            14 => __('Payment method was successfully enabled/disabled.', 'woocommerce-inbank'),
            15 => __('Product with the same product code already exists.', 'woocommerce-inbank'),
            16 => __('Settings were successfully updated.', 'woocommerce-inbank'),
            17 => __('All products were successfully updated.', 'woocommerce-inbank'),
            18 => __('Warning! There was a problem trying to remove configuration file while installing. Please delete the file manually in module root directory', 'woocommerce-inbank'),
            19 => __('All updates were applied.', 'woocommerce-inbank'),
        ];

        return isset($strings[$id_string]) ? $strings[$id_string] : '';
    }
}