<?php

/**
 * Fired during plugin activation
 *
 * @link       https://inbank.ee
 * @since      1.0.0
 *
 * @package    Woocommerce_Inbank
 * @subpackage Woocommerce_Inbank/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Woocommerce_Inbank
 * @subpackage Woocommerce_Inbank/includes
 * @author     Inbank
 */
class Woocommerce_Inbank_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate()
    {
        require_once INBANK_MODULE_DIR . 'src/Helpers/InbankInstaller.php';
        InbankInstaller::runInstaller();
	}

}
